> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# minimax v1 video generate

> minimax v1 video generate



## OpenAPI

````yaml post /ai/minimax/v1/video/generate
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://ai.pmock.com/api
    description: Generated server url
security: []
tags:
  - name: 开放-minimax视频生成
    description: 开放-minimax视频生成
  - name: 开放-Grok开放接口
    description: 开放-Grok开放接口
  - name: 开放-AI同步调用兼容接口
    description: 开放-AI同步调用兼容接口
  - name: 开放-Gemini开放接口
    description: 开放-Gemini开放接口
  - name: 开放-Sora2开放接口
    description: 开放-Sora2开放接口
  - name: 开放-模型列表接口
    description: 开放-模型列表接口
  - name: 开放-火山视频生成
    description: 开放-火山视频生成
  - name: 开放-OpenAi开放接口
    description: 开放-OpenAi开放接口
  - name: 开放-业务相关接口
    description: 开放-业务相关接口
  - name: 开放-任务开放接口
    description: 开放-任务开放接口
paths:
  /ai/minimax/v1/video/generate:
    post:
      tags:
        - 开放-minimax视频生成
      summary: minimax v1 video generate
      description: minimax v1 video generate
      operationId: v1ImageToVideoGenerate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MiniMaxV1ImageToVideoGenerateDTO'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/RTaskResultVO'
components:
  schemas:
    MiniMaxV1ImageToVideoGenerateDTO:
      type: object
      properties:
        model:
          type: string
          description: model
          enum:
            - minimax-h3
            - minimax-h3-lite
          minLength: 1
        content:
          type: array
          description: content
          items:
            $ref: '#/components/schemas/MiniMaxTaskContentDTO'
          minItems: 1
        resolution:
          type: string
          default: 768P
          description: resolution
          enum:
            - 768P
            - 1080P(minimax-h3 not supported)
            - 2K（minimax-h3-lite not supported）
          minLength: 1
        duration:
          type: integer
          format: int32
          description: duration
          enum:
            - 4~15
        ratio:
          type: string
          default: adaptive
          description: ratio
          enum:
            - adaptive
            - '21:9'
            - '16:9'
            - '4:3'
            - '1:1'
            - '3:4'
            - '9:16'
        extra:
          $ref: '#/components/schemas/Extra'
          description: >-
            extra, the default setting is empty and prompt word optimization is
            not enabled
      required:
        - content
        - duration
        - model
        - resolution
    RTaskResultVO:
      type: object
      description: Unified return structure for response results
      properties:
        code:
          type: integer
          format: int32
          description: Response status code
          example: 200
        message:
          type: string
          description: Response message
        data:
          $ref: '#/components/schemas/TaskResultVO'
          description: Response result
        traceId:
          type: string
          description: Response traceId
    MiniMaxTaskContentDTO:
      type: object
      properties:
        type:
          type: string
          description: type
        text:
          type: string
          description: text
        role:
          type: string
          description: role
          enum:
            - first_frame
            - last_frame
            - reference_image
            - reference_video
        image_url:
          $ref: '#/components/schemas/ImageUrlVO'
          description: image_url
        video_url:
          $ref: '#/components/schemas/VideoUrlVO'
          description: video_url
        audio_url:
          $ref: '#/components/schemas/AudioUrlVO'
      required:
        - type
    Extra:
      type: object
      properties:
        prompt_expansion_mode:
          type: string
          default: disabled
          description: prompt_expansion_mode
    TaskResultVO:
      type: object
      properties:
        taskId:
          type: string
          description: taskId
    ImageUrlVO:
      type: object
      description: ImageUrlVO
      properties:
        url:
          type: string
          description: url
    VideoUrlVO:
      type: object
      description: VideoUrlVO
      properties:
        url:
          type: string
          description: url
    AudioUrlVO:
      type: object
      description: AudioUrl
      properties:
        url:
          type: string
          description: url

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.